1. CreditCardPay
ANexPay Docs
  • Introduction
  • Signature
  • API Keys
  • Get Started
  • Webhook Service
  • Enum Reference
  • Api Reference
    • Authentication
      • Get Auth Token
    • Hosted Payment Page
      • Hosted Payment Page
    • CreditCardPay
      • List Payment History
        POST
      • Get Payment Detail
        POST
      • Refund
        POST
      • List Subscriptions
        POST
      • Get Subscription Detail
        POST
      • Cancel Subscription
        POST
      • Get Subscription Bills
        POST
    • StableCoinPay
      • order
        • GetCheckoutOrderList
      • refund-order
        • CreateRefundOrder
        • CancelRefundOrder
        • GetRefundOrderInfo
        • GetRefundOrderList
      • settlement
        • CreateFiatSettlementOrder
        • CancelSettlementOrder
        • GetSettlementOrderList
      • abnormal-payment
        • GetAbnormalPaymentList
        • CreateAbnormalPaymentRefund
  • Schemas
    • Schemas
      • RefundOrderDTO
      • RefundPageReq
      • ApiPageApiPageRefundOrderDTO
      • ApiResponseApiPageRefundOrderDTO
      • CancelReq
  1. CreditCardPay

Get Subscription Bills

Developing
POST
/checkout/credit-card/subscriptions/bills
Get paginated billing history for a specific subscription.

Request

Body Params application/jsonRequired

Example
{
  "subscriptionId": 1001,
  "page": 1,
  "size": 10
}

Responses

🟢200成功
application/json
Bodyapplication/json

Example
{
    "retcode": "27",
    "retmsg": null,
    "retdata": {
        "records": [
            {
                "id": 68,
                "subscriptionId": 90,
                "amount": 692.65,
                "currency": "USD",
                "status": "PAID",
                "createdTime": "2025-12-12 00:43:11"
            }
        ],
        "total": 34,
        "pageSize": 23,
        "pageNo": 67
    }
}
Modified at 2026-06-03 08:41:50
Previous
Cancel Subscription
Next
GetCheckoutOrderList
Built with